How can we help?

I am getting a message my browser is outdated


If you are receiving the following message 'Your browser is outdated', you will need to update your browser. To see what version you are using;

  1. Open your browser
  2. Click the options icon in the top right hand corner in Chrome and Internet Explorer or top left hand corner in Firefox and Safari
  3. On the drop down menu, click ‘Help’ then click ‘About’
  4. Here, you can see what version your browser is currently on
  5. The minimum Internet Browser versions that are compatible with out website are - Safari 8, Chrome 50, Firefox 54, Internet Explorer 10, Microsoft Edge 0 and Opera 35

If your browser does not meet our requirements, please see our guide on how to update your browser.

Print

By using the Iarnród Éireann - IrishRail website, you consent to the use of cookies in accordance with our Cookie Policy.